%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

# Manually disable python3 until python3-cliff becomes available.  That is
# blocking on python3-prettytable, here.
# https://bugzilla.redhat.com/show_bug.cgi?id=837087
%global with_python3 0


%global modname pkgwat.cli

Name:             pkgwat
Version:          0.4
Release:          1%{?dist}
Summary:          CLI tool for querying the fedora packages webapp

Group:            Development/Libraries
License:          LGPLv2+
URL:              http://pypi.python.org/pypi/pkgwat.cli
Source0:          http://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python2-devel
BuildRequires:    python-setuptools

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
%endif

Requires:         python-pkgwat-api
Requires:         python-cliff
Requires:         python-imaging
Requires:         python-fabulous

%description
Pronounced "package WAT", pkgwat is a fast CLI tool for querying the fedora
packages webapp.  https://apps.fedoraproject.org/packages/

You can make its search even better by helping us tag packages.
https://apps.fedoraproject.org/tagger

%if 0%{?with_python3}
%package -n python3-pkgwat
Summary:          Python API for querying the fedora packages webapp
Group:            Development/Libraries

Requires:         python3-pkgwat-api
Requires:         python3-cliff

%description -n python3-pkgwat
Pronounced "package WAT", pkgwat is a fast CLI tool for querying the fedora
packages webapp.  https://apps.fedoraproject.org/packages/

You can make its search even better by helping us tag packages.
https://apps.fedoraproject.org/tagger
%endif

%prep
%setup -q -n %{modname}-%{version}
sed -i "s/»/>/g" README.rst

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif



%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
mv %{buildroot}/%{_bindir}/pkgwat %{buildroot}/%{_bindir}/python3-pkgwat
popd
%endif

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc README.rst LICENSE
%{python_sitelib}/pkgwat/cli
%{python_sitelib}/%{modname}-%{version}*
%{_bindir}/pkgwat

%if 0%{?with_python3}
%files -n python3-pkgwat
%doc LICENSE README.rst
%{python3_sitelib}/pkgwat/cli
%{python3_sitelib}/%{modname}-%{version}-*
%{_bindir}/python3-pkgwat

%endif


%changelog
* Thu Nov 08 2012 Ralph Bean <rbean@redhat.com> - 0.4-1
- Fixed bug with latest python-requests.
- Gracefully handle unknown commands.

* Fri Nov 02 2012 Ralph Bean <rbean@redhat.com> - 0.3-3
- Bugfix - Require python-imaging and python-fabulous.

* Thu Jul 05 2012 Ralph Bean <rbean@redhat.com> - 0.3-2
- Manually disable python3 support until python3-cliff is available.

* Mon Jul 02 2012 Ralph Bean <rbean@redhat.com> - 0.3-1
- Initial package for Fedora
